RTEMS: Data Fields

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- d_lockdown_0 : L2CC
- d_lockdown_1 : L2CC
- d_lockdown_2 : L2CC
- d_lockdown_3 : L2CC
- d_lockdown_4 : L2CC
- d_lockdown_5 : L2CC
- d_lockdown_6 : L2CC
- d_lockdown_7 : L2CC
- da_name : ofw_tree_node
- DACC_ACR : Dacc
- DACC_CDR : Dacc
- DACC_CHDR : Dacc
- DACC_CHER : Dacc
- DACC_CHSR : Dacc
- DACC_CR : Dacc
- DACC_IDR : Dacc
- DACC_IER : Dacc
- DACC_IMR : Dacc
- DACC_ISR : Dacc
- DACC_MR : Dacc
- DACC_TRIGR : Dacc
- DACC_VERSION : Dacc
- DACC_WPMR : Dacc
- DACC_WPSR : Dacc
- dacChannel : DacCmd
- dacId : DacDma
- data : _rtems_rfs_inode, ALT_GPIO_CONFIG_RECORD_s, atsam_power_control, rtems_rtl_archive_chain_data, rtems_rtl_obj_sym
- data_base : rtems_rtl_obj
- data_ram_ctrl : L2CC
- data_size : rtems_rtl_obj
- data_xfer_type : ALT_QSPI_DEV_INST_CONFIG_s
- DataPtr : TaskBD1_t, TaskBD2_t
- datatype : rtems_rtl_rap
- day : rtems_time_of_day
- DCCIMVAC : SCB_Type
- DCCISW : SCB_Type
- DCCMVAC : SCB_Type
- DCCMVAU : SCB_Type
- DCCSW : SCB_Type
- DCIMVAC : SCB_Type
- DCISW : SCB_Type
- DCRDR : CoreDebug_Type
- DCRSR : CoreDebug_Type
- dd : rtems_bdbuf_buffer, rtems_bdbuf_swapout_transfer
- deadline : Scheduler_CBS_Parameters
- deadlock_callout : Thread_queue_Context
- deallocate : Objects_Information
- debounce : ALT_GPIO_CONFIG_RECORD_s
- debug_ctrl : L2CC
- decomp : rtems_rtl_data, rtems_rtl_rap
- decompress : rtems_jffs2_compressor_control
- default_address : i2c_bus
- default_timeout : MPCI_Control
- deferred_released_count : rtems_filesystem_global_location_t
- deferred_released_next : rtems_filesystem_global_location_t
- delay_usecs : spi_bus, spi_ioc_transfer
- deleted : rtems_disk_device
- DEMCR : CoreDebug_Type
- dependencies : rtems_rtl_obj_print
- dependents : rtems_rtl_elf_reloc_data, rtems_rtl_obj, rtems_rtl_obj_depends
- depends : rtems_rtl_obj_depends
- depth : drvmgr_bus
- descriptor : rtems_fdisk_device_ctl, rtems_fdisk_segment_ctl, rtems_nvdisk_device_ctl
- destination_offset : Thread_Control_add_on
- destroy : i2c_bus, i2c_dev, rtems_interrupt_server_config, rtems_jffs2_compressor_control, rtems_jffs2_flash_control, spi_bus
- destructor : POSIX_Keys_Control
- dev : drvmgr_bus, drvmgr_drv, rtems_disk_device
- dev_cnt : drvmgr_bus, drvmgr_drv
- dev_prefix : drvmgr_bus_params
- dev_priv_size : drvmgr_drv
- device : _rtems_rfs_file_system, lpc176x_timer, ofw_tree_node, rtems_fdisk_segment_ctl, rtems_nvdisk_device_ctl
- device_context : rtems_termios_tty
- device_count : rtems_flashdisk, rtems_flashdisk_config, rtems_nvdisk, rtems_nvdisk_config
- device_file : console_device
- device_identifier : rtems_jffs2_flash_control
- device_node : rtems_termios_tty
- device_path : atsam_sc16is752_spi_config
- deviceProbe : _console_tbl
- devices : drvmgr, rtems_flashdisk, rtems_flashdisk_config, rtems_nvdisk, rtems_nvdisk_config
- deviceType : _console_tbl
- DEVID : TPI_Type
- DEVTYPE : TPI_Type
- DFSR : SCB_Type
- DHCSR : CoreDebug_Type
- dir : lpc176x_fio
- DirectColorModeInfo : RTEMS_PACKED
- direction : ALT_GPIO_CONFIG_RECORD_s, Chain_Iterator
- dirty : rtems_rfs_block_map_s, rtems_rfs_buffer_handle_t
- dirty_blocks : rtems_jffs2_info
- dirty_size : rtems_jffs2_info
- discipline : CORE_barrier_Attributes
- disk_id : rtems_bdpart_format
- dispatch_necessary : Per_CPU_Control
- DisplayCodec : ISI_Descriptors
- div : ALT_CLK_PLL_CFG_s
- dmaProgress : UsartChannel
- done : rtems_blkdev_request
- done_arg : rtems_blkdev_request
- done_bytes : Untar_ChunkContext
- dos_compatibility : rtems_bdpart_format
- doubly_buffer : rtems_rfs_block_map_s
- dPDCsize : _SpioCaptureInit
- driver_data : rtems_disk_device
- drv : drvmgr_dev
- drv_id : drvmgr_drv, drvmgr_drv_res
- ds_bkp : RTEMS_PACKED
- dsize : _SpioCaptureInit
- DTCMCR : SCB_Type
- dummy_cache_sync_reg : L2CC
- dummy_cycles : ALT_QSPI_DEV_INST_CONFIG_s
- dwDmaCh : _Mcid
- dwMck : _Mcid
- dwXfrNdx : _Mcid
- dwXSize : _Mcid